{
	saved_FirstTime [1]

	//saved_TankWaveToll [0]
	//saved_TankWaveMax [0]


	Init[()
	{

		SetNationality(1);
		SetLineOfSight(0);
		SetNationality(1);
		SetLineOfSight(2,90);
		SetAttackDistance(32,32);

		if (saved_FirstTime = 1)
		{
			TurnToLoc();
			ShowEntity(false);

			saved_FirstTime = 0;
		}
	}]

	DelayReached[(dy)
	{
		if(dy = 10)
		{
			WalkTo(20048,24432, 10, 1);
		}
		if(dy = 20)
		{
			TurretShootAt(Level.GetPlayer());
			Delay(7,20);
		}
		if(dy = 100)
		{
			HideMe();	
		}
	}]

	ReachedDestination[(dn)
	{
		if(dn = 10)
		{
			Delay(0, 20);
		}
	}]


	TurnToLoc[()
	{
		me = GetID();
		switch(me)
		{
			case "Tank1"
			{
				TurretTurnTo(24429, 29494);
			}
			case "Tank2"
			{
				TurretTurnTo(20096, 29330);
			}
		}
	}]

	ShowMe[()
	{
		ShowEntity(true);
		SetWeaponAttach(97);
	}]
	
	HideMe[()
	{
		ShowEntity(false);
		SetPassable(true);
		SetPosition( 1664, 2688, 0 );	
	}]

}